Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7572 - RPM does not work at all
Summary: RPM does not work at all
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 4.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-03 22:39 UTC by Andreas Walter
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-15 17:45:29 UTC


Attachments (Terms of Use)
Output of RPM -qa (deleted)
1999-12-10 23:19 UTC, Andreas Walter
no flags Details

Description Andreas Walter 1999-12-03 22:39:30 UTC
For some reason, RPM does know what is installed (RPM and GNORPM), but
neither RPM nor GNORPM does install new packages. They see new packages on
CD / Internet - it looks like they start fine (RPM saying "#############")
and when it's ever nothing really has happened.

Comment 1 Jeff Johnson 1999-12-05 17:53:59 UTC
What version of rpm?
What packages? Are you installing SRPMS (i.e. foo*.src.rpm) or binary rpms
(foo*.i386.rpm) ?
What does rpm -qa say about what is installed?

Comment 2 Andreas Walter 1999-12-10 23:19:59 UTC
Created attachment 39 [details]
Output of RPM -qa

Comment 3 Andreas Walter 1999-12-10 23:21:59 UTC
Hi,

I'm using RPM 3.0.3 as it comes with the current RH distribution.

Output from -q is attached.

Regards,
Andreas.

Comment 4 Jeff Johnson 1999-12-11 14:31:59 UTC
It's unlikely that there's a problem in rpm (but that doesn't mean that you're
not seeing a problem).

Try installing a single package to verify that rpm can (under some conditions)
install a package. Try something small like which-2.8-1.i386.rpm.
	0) rpm --rebuilddb
	1) rpm -e which		i	# erase the installed version
	2) rpm -K which-2.8-1.i386.rpm	# verify that the pacakge is OK
					# (you might need --nopgp/--nogpg)
	3) rpm -i -vvh which-2.8-1.i386.rpm	# install the package
If the above works, that verifies that rpm can install a package. I'll
need more information if the above doesn't work, or there is still a
problem.

Comment 5 Jeff Johnson 1999-12-15 17:45:59 UTC
This problem appears resolved. Please reopen if I'm wrong.


Note You need to log in before you can comment on or make changes to this bug.